View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18015Bug reportsQuestion editorpublic2022-05-23 14:35
Reportereloner Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionunable to reproduce 
Product Version5.x 
Summary18015: Array: set maximum answers locks survey
Description

In an array type question my students set 3 to maximum number of answers.
The question is not mandatory.
If the respondent select more than 3 answers a message is shown, but the answers are not reset, so the survey apparently is frozen unless the respondent press reset or F5 on a windows system to reload the page

Steps To Reproduce

Create a question as attached

(Replace this text with detailed step-by-step instructions on how to reproduce the issue)

Expected result

Show a message, reset the answers

Show a message, freeze the survey

(Write here what happened instead)

TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build) LimeSurvey Cloud Version 5.3.6
I will donate to the project if issue is resolvedNo
BrowserMozilla
Database type & version LimeSurvey Cloud Version 5.3.6
Server OS (if known)
Webserver software & version (if known) LimeSurvey Cloud Version 5.3.6
PHP Version LimeSurvey Cloud Version 5.3.6

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

eloner

eloner

2022-04-04 17:55

reporter  

2022-04-04-Bug se sceglie più di 3 non fa refresh limesurvey_question_3166.lsq (16,908 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Question</LimeSurveyDocType>
 <DBVersion>485</DBVersion>
 <languages>
  <language>en</language>
  <language>it</language>
 </languages>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>question_theme_name</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[3166]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[F]]></type>
    <title><![CDATA[E04]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[arrays/array]]></question_theme_name>
    <modulename/>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>question_theme_name</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>id</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[4386]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[1]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5538]]></id>
    <question><![CDATA[Walking]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4386]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[1]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5537]]></id>
    <question><![CDATA[A piedi]]></question>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[4387]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[2]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5540]]></id>
    <question><![CDATA[Bike]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4387]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[2]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5539]]></id>
    <question><![CDATA[Bicicletta]]></question>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[4388]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[3]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5542]]></id>
    <question><![CDATA[Public transportation ]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4388]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[3]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5541]]></id>
    <question><![CDATA[Mezzi pubblici]]></question>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[4389]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[4]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5544]]></id>
    <question><![CDATA[Car]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4389]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[4]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5543]]></id>
    <question><![CDATA[Macchina]]></question>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[4390]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[5]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5546]]></id>
    <question><![CDATA[Scooter ]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4390]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[5]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5545]]></id>
    <question><![CDATA[Motorino]]></question>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[4391]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[6]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[5]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5548]]></id>
    <question><![CDATA[Friends’ car]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4391]]></qid>
    <parent_qid><![CDATA[3166]]></parent_qid>
    <sid><![CDATA[615257]]></sid>
    <gid><![CDATA[60]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[6]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[5]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <id><![CDATA[5547]]></id>
    <question><![CDATA[Macchina di amici]]></question>
    <language><![CDATA[it]]></language>
   </row>
  </rows>
 </subquestions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[3787]]></id>
    <qid><![CDATA[3166]]></qid>
    <question><![CDATA[<p><strong>When you go out in the evening, which modes of transportation do you use most to get around? </strong><em>Pease indicate the main one and the other two most frequent <strong>if used</strong>.</em></p>
]]></question>
    <help/>
    <script/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[3786]]></id>
    <qid><![CDATA[3166]]></qid>
    <question><![CDATA[<p><strong>Quando esci la sera quali mezzi usi maggiormente per spostarti? </strong><em>Indica il principale e gli altri due più frequenti <strong>se usati</strong>.</em></p>
]]></question>
    <help/>
    <script/>
    <language><![CDATA[it]]></language>
   </row>
  </rows>
 </question_l10ns>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[7322]]></aid>
    <qid><![CDATA[3166]]></qid>
    <code><![CDATA[1]]></code>
    <sortorder><![CDATA[0]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[7323]]></aid>
    <qid><![CDATA[3166]]></qid>
    <code><![CDATA[2]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[7324]]></aid>
    <qid><![CDATA[3166]]></qid>
    <code><![CDATA[3]]></code>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[9160]]></id>
    <aid><![CDATA[7322]]></aid>
    <answer><![CDATA[ The main used]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9159]]></id>
    <aid><![CDATA[7322]]></aid>
    <answer><![CDATA[Il principale/più frequente]]></answer>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <id><![CDATA[9162]]></id>
    <aid><![CDATA[7323]]></aid>
    <answer><![CDATA[ The second most used]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9161]]></id>
    <aid><![CDATA[7323]]></aid>
    <answer><![CDATA[Il secondo come frequenza]]></answer>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <id><![CDATA[9164]]></id>
    <aid><![CDATA[7324]]></aid>
    <answer><![CDATA[ The third most used]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9163]]></id>
    <aid><![CDATA[7324]]></aid>
    <answer><![CDATA[Il terzo come frequenza]]></answer>
    <language><![CDATA[it]]></language>
   </row>
  </rows>
 </answer_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[answer_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[answer_width_bycolumn]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value><![CDATA[3]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[it]]></language>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[repeat_headings]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3166]]></qid>
    <attribute><![CDATA[use_dropdown]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
</document>
gabrieljenik

gabrieljenik

2022-04-22 17:47

manager   ~69200

I am sorry. I can't reproduce it.

If the respondent select more than 3 answers a message is shown, but the answers are not reset, so the survey apparently is frozen unless the respondent press reset or F5 on a windows system to reload the page

The message will be shown until only 3 answers are selected. You can move selected options to the "no answer" column match the validation rquirements.

Does that makes sense?

gabrieljenik

gabrieljenik

2022-05-23 14:35

manager   ~69990

Hello eloner,
I checked this with the latest version and could not reproduce, so this is most likely fixed for good.
Therefore, I am closing this issue. If you still can reproduce the issue using the latest version, please feel free to re-open the issue.
Thank you!

gabrieljenik

Issue History

Date Modified Username Field Change
2022-04-04 17:55 eloner New Issue
2022-04-04 17:55 eloner File Added: 2022-04-04-Bug se sceglie più di 3 non fa refresh limesurvey_question_3166.lsq
2022-04-21 16:58 gabrieljenik Assigned To => gabrieljenik
2022-04-21 16:58 gabrieljenik Status new => assigned
2022-04-22 17:47 gabrieljenik Status assigned => feedback
2022-04-22 17:47 gabrieljenik Note Added: 69200
2022-04-22 17:47 gabrieljenik Bug heat 0 => 2
2022-05-23 14:35 gabrieljenik Status feedback => closed
2022-05-23 14:35 gabrieljenik Resolution open => unable to reproduce
2022-05-23 14:35 gabrieljenik Note Added: 69990